module Echo
  class Search < API
    include HTTParty
    debug_output $stdout
    
    def initialize(options={})      
      self.class.class_eval do        
        base_uri Echo.endpoint
      end
    end

    alias :api_endpoint :search_endpoint

    def build_query(options)
      raise ArgumentError unless options[:q]      
      raise ArgumentError unless Echo.user
      
      options[:appkey] = Echo.user
      
      "/search?#{options.to_query}"
    end

    def fetch(options={})
      self.class.get(build_query(options))
    end        
  end
end

